Index: /extensions/UserAdvManager/branches/2.50/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/changelog.txt.php	(revision 21293)
+++ /extensions/UserAdvManager/branches/2.50/changelog.txt.php	(revision 21294)
@@ -386,4 +386,9 @@
             Update tr_TR, thanks to : hakanselcuk and LazBoy
             Update it_IT, thanks to : Ericnet
+
+-- 2.50.1 : Blocking bug fixed : New registrants could not validate their registration with the confirmation link
+            Update tr_TR, thanks to : LazBoy
+            Update de_DE, thanks to : stephy
+            Update it_IT, thanks to : Ericnet
             
 */
Index: /extensions/UserAdvManager/branches/2.50/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/include/functions.inc.php	(revision 21293)
+++ /extensions/UserAdvManager/branches/2.50/include/functions.inc.php	(revision 21294)
@@ -1904,4 +1904,5 @@
   {
     $id = generate_key(16);
+
     $query = '
 SELECT COUNT(*)
@@ -1936,4 +1937,20 @@
   if (isset($Confirm_Mail_ID))
   {
+    $query = "
+SELECT status
+  FROM ".USER_INFOS_TABLE."
+WHERE user_id = '".$user_id."'
+;";
+    list($status) = pwg_db_fetch_row(pwg_query($query));
+
+    // Insert $Confirm_Mail_ID in USER_CONFIRM_MAIL_TABLE
+    $query = "
+INSERT INTO ".USER_CONFIRM_MAIL_TABLE."
+  (id, user_id, mail_address, status, date_check, reminder)
+VALUES
+  ('".$Confirm_Mail_ID."', '".$user_id."', '".$email."', '".$status."', null, false)
+;";
+    pwg_query($query);
+
     // Set user permissions
     // --------------------
Index: /extensions/UserAdvManager/branches/2.50/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/de_DE/plugin.lang.php	(revision 21293)
+++ /extensions/UserAdvManager/branches/2.50/language/de_DE/plugin.lang.php	(revision 21294)
@@ -14,6 +14,6 @@
 /* Errors and Warnings */
 $lang['UAM_audit_ok'] = 'Audit OK';
-$lang['UAM_Err_audit_username_char'] = '<b>Dieses Konto verwendet eine oder mehrere der verbotenen Zeichen:</b> ';
-$lang['UAM_Err_audit_email_forbidden'] = '<b>Dieses Konto verwendet eine E-Mail-Anbieter sind untersagt:</b> ';
+$lang['UAM_Err_audit_username_char'] = '<b>Dieses Konto verwendet ein oder mehrere der nicht erlaubten Zeichen:</b> ';
+$lang['UAM_Err_audit_email_forbidden'] = '<b>Dieses Konto verwendet einen nicht erlaubten E-Mail-Anbieter:</b> ';
 $lang['UAM_Err_audit_advise'] = '<b>Sie müssen Korrekturen an mit neuen Regeln die Sie aktiviert haben, nachzukommen durchzuführen.<br>Verwenden Sie ein Datenbank-Management-Dienstprogramm, um Benutzer-Accounts direkt in der Tabelle richtig ###_USERS';
 $lang['UAM_reg_err_login2'] = 'Benutzername muss nicht die folgenden Zeichen übereinstimmen: ';
@@ -133,5 +133,5 @@
 /* Ghost Tracker Tab */
 $lang['UAM_SubTitle4'] = 'Geist Tracker';
-$lang['UAM_GT_Init'] = 'Initialisieren Geist Tracker';
+$lang['UAM_GT_Init'] = 'Initialisieren Inaktiven-Nutzer-Verfolgung';
 $lang['UAM_GhostTracker_Title'] = 'Geist Besucher-Management';
 $lang['UAM_GhostTracker_Init'] = 'Wenn Sie diese Funktion zum ersten Mal oder haben Sie nach einem langen Zeitraum aus, in dem neue Besucher registriert sind, müssen Sie initialisieren, oder setzen Sie den Geist Tracker reaktiviert. Dieser Vorgang ist nur nach Aktivierung oder Reaktivierung von der Möglichkeit gemacht. Bitte klicken Sie <u>einmal</u> die Reset-Taste unten.';
@@ -145,6 +145,6 @@
 $lang['UAM_Reminder_without_key_of_%s'] = '%s, Ihre Validierung Schlüssel abläuft';
 /* Errors and Warnings */
-$lang['UAM_Err_GhostTracker_Settings'] = 'Diese Seite ist nur verfügbar, wenn &quot;Geist Tracker&quot; aktiv &quot;Einstellen der Registrierung durchgeführt und andere Optionen&quot;.';
-$lang['UAM_Err_Userlist_Settings'] = 'Diese Seite ist nur verfügbar, wenn &quot;Monitoring registrierte Benutzer&quot; ist aktiv in der &quot;Einstellung der Registrierung durchgeführt und andere Optionen&quot;';
+$lang['UAM_Err_GhostTracker_Settings'] = 'Diese Seite ist nur verfügbar, wenn &quot;Inaktive-Nutzer-Verfolgung&quot; aktiv ist &quot;Einstellungen der Registrierung durchgeführt und andere Optionen gesetzt sind&quot;.';
+$lang['UAM_Err_Userlist_Settings'] = 'Diese Seite ist nur verfügbar, wenn &quot;Überwache registrierte Benutzer&quot; aktiv ist in der &quot;Einstellung der Registrierung durchgeführt und andere Optionen&quot;';
 // --------- End: New or revised $lang ---- from version 2.13.4
 
@@ -160,5 +160,5 @@
 $lang['UAM_LastVisit_Date'] = 'Letzter Besuch';
 $lang['UAM_Nb_Days'] = 'Differenz in Tagen';
-$lang['UAM_Err_UserManager_Settings'] = 'Diese Seite ist nur verfügbar, wenn "Bestätigung der Anmeldung" aktiv ist und wenn eine Gruppe von nicht validierte Besuchern wird in "Einstellen Bestätigungen und Validierungen der Registrierung" konfiguriert.';
+$lang['UAM_Err_UserManager_Settings'] = 'Diese Seite ist nur verfügbar, wenn "Bestätigung der Anmeldung" aktiv ist und wenn eine Gruppe von nicht validierte Besuchern in "Einstellen Bestätigungen und Validierungen der Registrierung" konfiguriert wird.';
 // --------- End: New or revised $lang ---- from version 2.15.0
 
@@ -179,7 +179,7 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.16.0
-$lang['UAM_Expired_Group'] = '<b>Gruppe</b> für Benutzer-Registrierung abgelaufen<br>';
+$lang['UAM_Expired_Group'] = '<b>Gruppe</b> für Benutzer-Registrierung ist abgelaufen<br>';
 $lang['UAM_Expired_Status'] = '<b>Status</b> für Benutzer-Registrierung abgelaufen<br>';
-$lang['UAM_GTAuto'] = 'Automatische Verwaltung von Geist Benutzern';
+$lang['UAM_GTAuto'] = 'Automatische Verwaltung der Inaktiven-Nutzer-Verfolgung';
 $lang['UAM_GTAutoDel'] = 'Automatisches Löschen von Konten';
 $lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Konsistenz-Fehler in der Konfiguration gewählt:<br><br>
@@ -193,5 +193,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
 $lang['UAM_Disable'] = ' Deaktivieren (Standard)';
-$lang['UAM_Enable'] = ' Aktivieren ';
+$lang['UAM_Enable'] = 'Aktivieren ';
 $lang['UAM_Stuffs_Title'] = 'UAM-Modul';
 $lang['UAM_Stuffs'] = 'PWG Stuffs Modul';
@@ -200,9 +200,9 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.3
-$lang['UAM_DumpTxt'] = 'Sichern Sie Ihre Konfiguration';
-$lang['UAM_Dump_Download'] = 'Zum Download der Backup-Datei, überprüfen Sie bitte dieses Feld:';
+$lang['UAM_DumpTxt'] = 'Sichern Sie oder stellen Sie Ihre Konfiguration wieder her.';
+$lang['UAM_Dump_Download'] = 'Zum Download der Backup-Datei Box markieren bitte:';
 $lang['UAM_Save'] = 'Starten der Backup';
-$lang['UAM_Dump_OK'] = 'Backup-Datei erfolgreich erstellt';
-$lang['UAM_Dump_NOK'] = 'Fehler: Backup-Datei kann nicht erstellt werden !';
+$lang['UAM_Dump_OK'] = 'Backup-Datei erfolgreich erstellt.';
+$lang['UAM_Dump_NOK'] = 'Fehler: Backup-Datei kann nicht erstellt werden!';
 // --------- End: New or revised $lang ---- from version 2.20.3
 
@@ -215,5 +215,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.30.2
 $lang['UAM_RedirToProfile'] = 'Umleitung auf Benutzerdaten Seite';
-$lang['UAM_GTAutoGp'] = 'Automatischer Wechsel der Gruppe / Status / Vertraulichkeit Grad';
+$lang['UAM_GTAutoGp'] = 'Automatischer Wechsel der Gruppe / des Statuses / Vertraulichkeit Grad';
 $lang['UAM_GTAutoMail'] = 'Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status / Vertraulichkeit Grad';
 // --------- End: New or revised $lang ---- from version 2.30.2
@@ -340,6 +340,12 @@
 
 Um den Vorgang abzuschliessen und durch die Bilder blättern zu können, bitten wir Sie noch Ihre Registrierung durch anklicken des Links in dieser Nachricht zu bestätigen. ';
-$lang['UAM_Default_GhstDeletion_Txt'] = 'Leider [username], Ihr Konto wurde auf Grund einer zu langen Zeit seit Ihrem letzten Besuch bei [mygallery] gelöscht. Bitte registrieren Sie sich erneut.';
-$lang['UAM_Default_GhstDemotion_Txt'] = 'Leider [username], Ihr Konto wurde auf Grund einer zu langen Zeit seit Ihrem letzten Besuchs am [mygallery] deaktiviert. Bitte benutzen Sie den folgenden Link, um Ihr Konto zu bestätigen:';
+$lang['UAM_Default_GhstDeletion_Txt'] = 'Leider [username], 
+
+Ihr Konto wurde auf Grund einer zu langen Zeit seit Ihrem letzten Besuch bei [mygallery] gelöscht. 
+Bitte registrieren Sie sich erneut.';
+$lang['UAM_Default_GhstDemotion_Txt'] = 'Leider [username], 
+
+Ihr Konto wurde auf Grund einer zu langen Zeit seit Ihrem letzten Besuchs am [mygallery] deaktiviert. 
+Bitte benutzen Sie den folgenden Link, um Ihr Konto zu bestätigen:';
 $lang['UAM_Default_GhstReminder_Txt'] = 'Hallo [username].
 
@@ -354,8 +360,11 @@
 $lang['UAM_Default_InfoMail_Txt'] = 'Hallo [username]!
 
-Sie haben wesentliche Veränderungen in Ihrem Profil auf der Galerie [mygallery]. Bitte, finden Sie die neuen Einstellungen:';
-$lang['UAM_Default_PwdRequest_Txt'] = 'Sie haben ein Passwort-Reset auf unserer Galerie anzubieten. Bitte unten Ihre neue Verbindung Einstellungen zu finden.';
-$lang['UAM_Default_RejectConnexion_Txt'] = 'Leider müssen Sie nicht Ihre Anmeldung bestätigt noch haben, so können Sie nicht schließen Sie die Galerie jetzt. Bitte überprüfen Sie Ihre E-Mail-Box. Sie sollten eine E-Mail durch die Galerie geschickt, mit einem Link zu Ihrer Bestätigung durchzuführen. Wenn nicht, wenden Sie sich bitte an den Webmaster.';
-$lang['UAM_Default_ValidationTimeout_Txt'] = 'Sorry, dein Konto wurde gelöscht, weil Sie nicht Ihre Anmeldung im gewünschten Zeitraum ([Kdays] Tage) bestätigt haben. Bitte versuchen Registrierung mit einer gültigen und nicht blockiert E-Mail-Konto.';
+Sie haben wesentliche Veränderungen in Ihrem Profil auf der Galerie [mygallery] vorgenommen. 
+Hier finden Sie Ihre neuen Einstellungen:';
+$lang['UAM_Default_PwdRequest_Txt'] = 'Sie haben ein Passwort-Reset auf unserer Galerie angefordert. 
+Unten sehen Sie Ihre neuen Logindaten.
+';
+$lang['UAM_Default_RejectConnexion_Txt'] = 'Entschuldigung, Ihre Registrierung ist noch nicht bestätigt worden, somit ist noch kein Login möglich.';
+$lang['UAM_Default_ValidationTimeout_Txt'] = 'Entschuldigung, Ihr Konto wurde gelöscht, weil Sie Ihre Anmeldung im gewünschten Zeitraum ([Kdays] Tage) noch nicht bestätigt haben. Bitte versuchen Sie die Registrierung mit einer gültigen und nicht blockiertem E-Mail-Adresse erneut.';
 $lang['UAM_Error_Using_illegal_flag'] = 'Syntax-Fehler! Die [Kdays] AutoText Flagge wird als "Anmeldeschluss Bestätigung begrenzt"-Option verwendet wurde nicht aktiviert. Bitte aktivieren Sie die Option, oder korrigieren Sie die Text-Feld rot eingefärbt.';
 $lang['UAM_Error_Using_illegal_Kdays'] = 'Mit dem [Kdays]-Tag ist nur zulässig, wenn die Frist für die Anmeldebestätigung begrenzt aktiv ist. Lesen Sie das Textfeld in rot, um das Problem zu beheben.';
@@ -406,10 +415,10 @@
 $lang['UAM_Default_ConfirmMail_Remail_Subject'] = 'Erinnerung - [username] Registrierung-Bestätigung bei [mygallery]';
 $lang['UAM_Default_ConfirmMail_Subject'] = '[username] Registrierungbestätigung bei [mygallery]';
-$lang['UAM_Default_GTAutoMail_Subject'] = '[username] - Ihr Zugangs-Konto bei [mygallery] wurde herabgestuft';
-$lang['UAM_Default_GTReminder_Subject'] = '[username] - Eine lange Zeit ist seit Ihrem letzten Besuch bei [mygallery] vergangen';
+$lang['UAM_Default_GTAutoMail_Subject'] = '[username] - Ihr Zugangs-Konto bei [mygallery] wurde herabgestuft.';
+$lang['UAM_Default_GTReminder_Subject'] = '[username] - Eine lange Zeit ist seit Ihrem letzten Besuch bei [mygallery] vergangen.';
 $lang['UAM_Default_InfoMail_Subject'] = '[username] - Ihre Registrierung-Information für [mygallery]';
 $lang['UAM_GTAutomail_Subject'] = 'Automatische Anpassung des Betreffs der Ghost-Tracker-Herabstufungs-E-Mail';
-$lang['UAM_GTAutomail_Text'] = 'Anpassen des Herabstufens E-Mail Text';
-$lang['UAM_GTReminder_Subject'] = 'Manuelle Anpassung des Betreffs der Ghost-Tracker-Erinnerungs-E-Mail';
+$lang['UAM_GTAutomail_Text'] = 'Anpassen des Herabstufens-E-Mail-Textes';
+$lang['UAM_GTReminder_Subject'] = 'Manuelle Anpassung des Betreffs der Inaktiven-Nutzer-Verfolgungs-Erinnerungs-E-Mail';
 $lang['UAM_MailInfo_Subject'] = 'Anpassen des Betreffs der Informations-E-Mail';
 $lang['UAM_mail_exclusion_error'] = ' 	
Index: /extensions/UserAdvManager/branches/2.50/language/it_IT/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/it_IT/help.lang.php	(revision 21293)
+++ /extensions/UserAdvManager/branches/2.50/language/it_IT/help.lang.php	(revision 21294)
@@ -46,6 +46,6 @@
 - Nickname obbligatorio per i commenti degli ospiti<br>
 ...';
-$lang['UAM_remailtxt1Title'] = 'Ricorda email con generazione nuove chiavi';
-$lang['UAM_remailtxt2Title'] = 'Ricorda email senza generazione nuove chiavi';
+$lang['UAM_remailtxt1Title'] = 'Promemoria email con generata nuova chiave';
+$lang['UAM_remailtxt2Title'] = 'Promemoria email senza generare nuova chiave';
 $lang['UAM_tipsTitle_d'] = 'Suggerimenti e vari esempi d\'uso';
 $lang['UAM_USRAutoMailTitle_d'] = 'Quando attivata, questa funzione invierà automaticamente agli utenti che corrispondono ai criteri un contenuto personalizzato nelle &quot;email di reminder con la nuova chiave generata&quot;';
@@ -65,5 +65,5 @@
 Inserisci qui il testo che appare in questa e-mail.
 <br><br>
-Personalizzare ulteriormente il contenuto con speciali inserted tags:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
@@ -109,5 +109,5 @@
 <b><u>prima</u></b> delle informazioni standard.
 <br><br>
-Personalizzare ulteriormente il contenuto con tag inseriti speciali:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
 - <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della galleria, se impostato nelle opzioni di configurazione di Piwigo.
@@ -137,5 +137,5 @@
 $lang['UAM_GTAutomail_Text_d'] = 'Inserisci il testo personalizzato che spiega anche la ragione della retrocessione, per accompagnare il link di conferma. Il testo personalizzato non è obbligatorio ma fortemente consigliato. Infatti, i vostri visitatori non apprezzeranno di ricevere una e-mail che contiene solamente un unico collegamento senza ulteriori spiegazioni. ;-)
 <br><br>
-Personalizzare ulteriormente il contenuto con speciali inserted tags:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione della e-mail. <br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
@@ -145,5 +145,5 @@
 $lang['UAM_GTAutoDelTitle_d'] = 'Questo è valido solo quando l\'utente il cui account è scaduto e si innesca il meccanismo di eliminazione (raro ma possibile). Egli verrà disconnesso dalla galleria e reindirizzato a una pagina che mostra la cancellazione del suo account ed, eventualmente, le motivazioni di questa cancellazione.
 <br><br>
-Personalizzare ulteriormente il contenuto con speciali inserted tags:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
 - <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della galleria, se impostato nelle opzioni di configurazione di Piwigo.<br>
@@ -153,5 +153,5 @@
 $lang['UAM_confirmtxtTitle_d'] = 'Inserire il testo introduttivo che si desidera visualizzare nella email di conferma della registrazione.
 <br><br>
-Personalizzare ulteriormente il contenuto con speciali inserted tags:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
@@ -164,4 +164,5 @@
 Per installare il plugin, un testo standard è dato a titolo di esempio.
 <br><br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il relativo nome utente.<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
@@ -173,5 +174,5 @@
 Dopo aver installato il plugin, un testo standard è impostato come un esempio.
 <br><br>
-Personalizzare ulteriormente il contenuto con speciali inserted tag:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome del relativo utente.<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
@@ -195,5 +196,5 @@
 $lang['UAM_USRAutoDelTitle_d'] = 'Questo è valido solo quando l\'utente il cui account è scaduto si attiva il meccanismo di eliminazione (raro ma possibile). Egli poi sarà scollegato dalla galleria e reindirizzato a una pagina che mostra la cancellazione del suo account ed, eventualmente, le ragioni di questa cancellazione.
 <br><br>
-Personalizzare ulteriormente il contenuto con speciali inserted tags:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
 - <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della tua galleria se impostato nella configurazione opzioni di Piwigo.<br>
@@ -201,10 +202,4 @@
 <br><br>
 Testo personalizzato per il reindirizzamento pagina può essere inserito in questo campo che è compatibile con l\'editor FCK e, per il multi-lingue, è possibile utilizzare i tag [lang] del plugin Extended description se ​​è attivo.';
-$lang['UAM_MailInfo_Subject_d'] = 'Inserisci qui il tuo oggetto e-mail informazioni personalizzate.<br>
-Per impostazione predefinita, il campo ha un testo generico in inglese, ma si può cambiare e utilizzare i tag di traduzione [lang =?] del plugin Extended Description se ​​installato.
-<br><br>
-I seguenti tag aggiuntivi personalizzazioni sono disponibili senza utilizzare il plugin Extended Description:<br>
-- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.
-- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>';
 $lang['UAM_PwdResetTitle_d'] = 'L\'attivazione di questa opzione aggiunge una nuova funzionalità nel pannello di gestione degli utenti Piwigo (Utenti> Gestione) che può essere applicato per rinnovare la password per gli utenti selezionati. Inoltre, una nuova colonna viene aggiunta per mostrare lo stato di password per ciascuno di essi con i seguenti valori:<br>
 Password in attesa di rinnovo: Una richiesta per una nuova password è stata inserita.<br>
@@ -213,3 +208,74 @@
 Webmaster, account generici e gli ospiti sono esclusi da questa funzione.<br>
 Questi utenti saranno automaticamente reindirizzati alla loro pagina di personalizzazione per ciascuna delle loro connessioni fino a quando hanno cambiato la propria password e un messaggio esplicito verrà visualizzato in questa pagina.';
+$lang['UAM_remailTitle_d'] = 'Questa opzione consente di inviare un promemoria via email agli utenti registrati ma che non hanno confermato la loro registrazione in tempo. Essa si avvale della collaborazione con la &quot;Conferma della registrazione&quot;
+<br><br>
+2 tipi di email possono essere inviate: con o senza rigenerazione della chiave di conferma. Se lo si desidera, il contenuto delle email può essere personalizzato.
+<br><br>
+Fare riferimento alla scheda &quot;Tracking confirmations&quot;.
+<br><br>
+Se questa opzione e l\'opzione &quot;Termine per la conferma della registrazione&quot; sono attivati, nuove opzioni appariranno sotto a questa sezione per consentirne l\'automazione della gestione degli utenti non confermati.';
+$lang['UAM_userlistTitle_d'] = 'Questa pagina è per informazioni all\'amministratore. Visualizza l\'elenco di tutti gli utenti registrati sulla galleria e mostra la data e il numero di giorni dalla loro ultima visita. La lista è ordinata in ordine crescente di numero di giorni.
+<br><br>
+<b><u>Solo quando è attivo il Ghost Tracker</u></b>, il numero di giorni senza una visita appare come il seguente codice colore, secondo il massimo impostato nelle opzioni Ghost Tracker:
+<br>
+- <b style=&quot;color: lime;&quot;>Verde</b>: Quando l\'utente ha visitato la galleria <b style=&quot;color: lime;&quot;><u>meno del 50%</u></b> del massimale indicato nel Ghost Tracker.<br>
+- <b style=&quot;color: orange;&quot;>Arancio</b>: Quando l\'utente ha visitato la galleria <b style=&quot;color: orange;&quot;><u>per piu del 100%</u></b> del massimale indicato nel Ghost Tracker.<br>
+- <b style=&quot;color: red;&quot;>Rosso</b>: Quando l\'utente ha visitato la galleria <b style=&quot;color: red;&quot;><u>tra il 50% e il 99%</u></b> del massimale indicato nel Ghost Tracker. <b><u>In questo caso, l\'utente deve apparire anche nella tabella di Ghost Tracker.</u></b>
+<br>
+<br>
+Esempio:
+<br>
+Il periodo massimo di Ghost Tracker è configurato per 100 giorni.
+<br>
+Un utente viene visualizzato in verde se ha visitato la galleria per meno di 50 giorni, in arancione se la sua ultima visita ha avuto luogo tra i 50 e 99 giorni e rosso per 100 giorni e oltre.
+<br><br>
+<b>NOTA</b>: L\'elenco non viene visualizzato se non hanno confermato la loro registrazione (se è attivata l\'opzione di conferma della registrazione). Questi utenti sono poi gestiti in speciale modo nella scheda &quot;Tracking confirmations&quot;.
+<br><br>
+<b>Funzione di ordinamento tabella</b>: Puoi ordinare i dati visualizzati cliccando sulle intestazioni di colonna. Tenere premuto il tasto MAIUSC per ordinare fino a 4 colonne simultaneamente.';
+$lang['UAM_remailtxt1Title_d'] = 'Immettere il testo introduttivo che si desidera venga visualizzato nell\'email di promemoria, in aggiunta alla chiave di conferma rigenerata.
+<br><br>
+Se lasciato vuoto, la email di promemoria includerà solo il link di conferma. Pertanto si consiglia vivamente di inserire un piccolo testo esplicativo. (NB: Con l\'installazione del plugin un testo pre-compilato è fornito come esempio).
+<br><br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della tua galleria se impostato nella configurazione opzioni di Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> per inserire il numero di giorni limite per confermare una registrazione (&quot;termine per la conferma della registrazione limitata&quot; devono essere abilitati).
+<br><br>
+Per utilizzare più lingue, è possibile utilizzare il tag del plugin Extended description se è attivo.';
+$lang['UAM_infotxtTitle_d'] = 'Immettere il testo introduttivo che si desidera venga visualizzato nell\'email di informazioni.
+<br><br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della tua galleria se impostato nella configurazione opzioni di Piwigo.
+<br><br>
+Per utilizzare più lingue, è possibile utilizzare il tag del plugin Extended description se è attivo.';
+$lang['UAM_gttextTitle_d'] = 'Inserisci il testo che si desidera visualizzare nel promemoria e-mail per richiedere all\'utente di tornare a visitare la tua galleria (NB: Con l\'installazione del plugin un testo pre-compilato è fornito come esempio).
+<br><br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della tua galleria se impostato nella configurazione opzioni di Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[days]</b> per inserire il numero massimo di giorni tra due visite.
+<br><br>
+Per utilizzare più lingue, è possibile utilizzare il tag del plugin Extended description se è attivo.';
+$lang['UAM_remailtxt2Title_d'] = 'Immettere il testo introduttivo che si desidera venga visualizzato nell\'email di sollecito senza rigenerare una chiave di conferma.
+<br><br>
+Se lasciato vuoto, il promemoria email sarà vuoto. Pertanto si consiglia vivamente di inserire un piccolo testo esplicativo. (NB: Con l\'installazione del plugin un testo pre-compilato è fornito come esempio).
+<br><br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della tua galleria se impostato nella configurazione opzioni di Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> per inserire il numero di giorni limite per confermare una registrazione (&quot;termine per la conferma della registrazione limitata&quot; devono essere abilitati).
+<br><br>
+Per utilizzare più lingue, è possibile utilizzare il tag del plugin Extended description se è attivo.';
+$lang['UAM_gtTitle_d'] = 'Quando Ghost Tracker è abilitato e inizializzato, di seguito troverete l\'elenco dei visitatori registrati che non sono tornati da x giorni. &quot;x&quot; è il numero di giorni configurati nella scheda Configurazione generale. Inoltre, si trova una colonna che indica se un promemoria tramite email è stata inviata ai al target di visitatori. Quindi, si può vedere a colpo d\'occhio e trattare i visitatori che non hanno preso in considerazione il promemoria.<br><br>In questa vista, è possibile:
+<br><br>
+- Eliminare manualmente gli account <b>(manual drain)</b>
+<br>
+- Generare promemoria e-mail <b>con il reset della data ultima visita</b>. Questo permette di dare un carattere speciale per un target di visitatori. Se il visitatore ha già ricevuto un sollecito, nulla impedisce di reinviare un nuovo messaggio, che resetterà nuovamente la data dell\'ultima visita.
+<br><br>
+<b>Tabella Ordinamento delle funzioni</b>: E\' possibile ordinare i dati visualizzati facendo clicando sulle intestazioni delle colonne. Tenere premuto il tasto SHIFT per ordinare fino a 4 colonne contemporaneamente.';
 ?>
Index: /extensions/UserAdvManager/branches/2.50/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/it_IT/plugin.lang.php	(revision 21293)
+++ /extensions/UserAdvManager/branches/2.50/language/it_IT/plugin.lang.php	(revision 21294)
@@ -22,7 +22,7 @@
 $lang['UAM_no_update_pwd'] = '[profilo aggiornato senza cambiamento della password]';
 $lang['UAM_No_validation_for_Guest'] = 'L\'account Guest non è soggetto a conferma';
-$lang['UAM_No_validation_for_default_user'] = 'L\'account di default non è soggetto a conferma';
+$lang['UAM_No_validation_for_default_user'] = 'L\'account predefinito non è soggetto a conferma';
 $lang['UAM_No_validation_for_Webmaster'] = 'L\'account Webmaster non è soggetto a conferma';
-$lang['UAM_No_validation_for_your_account'] = 'Il account personale di amminstratore non è soggetto a conferma';
+$lang['UAM_No_validation_for_your_account'] = 'Il tuo personale account di amminstratore non è soggetto a conferma';
 
 
@@ -38,6 +38,6 @@
 /* Action button names */
 $lang['UAM_Delete_selected'] = 'Elimina';
-$lang['UAM_Mail_without_key'] = 'Email di remind senza chiave';
-$lang['UAM_Mail_with_key'] = 'Email di remind con chiave';
+$lang['UAM_Mail_without_key'] = 'Promemoria senza chiave';
+$lang['UAM_Mail_with_key'] = 'Promemoria con chiave';
 
 
@@ -49,7 +49,7 @@
 /* Ghost Tracker Tab */
 $lang['UAM_Tab_GhostTracker'] = 'Ghost Tracker';
-$lang['UAM_Reminder'] = 'Email di remind';
-$lang['UAM_Reminder_Sent_OK'] = 'Sì';
-$lang['UAM_Reminder_Sent_NOK'] = 'No';
+$lang['UAM_Reminder'] = 'E-mail promemoria';
+$lang['UAM_Reminder_Sent_OK'] = 'SI';
+$lang['UAM_Reminder_Sent_NOK'] = 'NO';
 /* Errors and Warnings */
 $lang['UAM_save_config'] = 'Configurazione salvata.';
@@ -61,5 +61,5 @@
 Il punteggio minimo per la password richiesto dall\'amministratore è:';
 $lang['UAM_No_reminder_for_Guest'] = 'Il conto utente "Guest" non è soggetto a ricevere dei promemoria dal GhostTracker';
-$lang['UAM_No_reminder_for_default_user'] = 'L\'account utente di default non è soggetto a ricevere dei promemoria dal GhostTracker';
+$lang['UAM_No_reminder_for_default_user'] = 'L\'account utente predefinito non è soggetto a ricevere dei promemoria dal GhostTracker';
 $lang['UAM_No_reminder_for_Webmaster'] = 'Il conto utente "Webmaster" non è soggetto a ricevere dei promemoria dal GhostTracker';
 $lang['UAM_No_reminder_for_your_account'] = 'Il vostro account personale di amministratore non è soggetto a ricevere dei promemoria dal GhostTracker';
@@ -91,10 +91,10 @@
 $lang['UAM_Title1'] = 'Restrizioni per le registrazioni';
 $lang['UAM_Title2'] = 'Conferme delle registrazioni';
-$lang['UAM_Title3'] = 'Impostazioni utenti fantasma';
+$lang['UAM_Title3'] = 'Impostazioni utenti ghost';
 $lang['UAM_Title4'] = 'Suggerimenti e esempi d\'uso';
 $lang['UAM_No_Casse'] = 'Nome utente: distinzione tra maiusc/minusc';
 $lang['UAM_Username_Char'] = 'Nome utente: Esclusione di caratteri';
 $lang['UAM_Username_Char_true'] = 'Vieta i caratteri : <br>(usare una virgola per separare ogni carattere)<br><br>';
-$lang['UAM_Username_Char_false'] = 'Permetti tutto (default)';
+$lang['UAM_Username_Char_false'] = 'Permetti tutto (predefinito)';
 $lang['UAM_Password_Enforced'] = 'Rafforzamento del livello di sicurezza delle password';
 $lang['UAM_Password_Enforced_true'] = 'Attivato. Punteggio minimo:';
@@ -105,6 +105,6 @@
 $lang['UAM_MailExclusion_true'] = 'Escludi i seguenti domini:<br>(usa la virgola per separare ogni dominio)';
 
-$lang['UAM_Mail_Info'] = 'Mail d\'informazione agli utenti:';
-$lang['UAM_MailInfo_Text'] = 'Personalizza la mail d\'informazione';
+$lang['UAM_Mail_Info'] = 'Email d\'informazione agli utenti:';
+$lang['UAM_MailInfo_Text'] = 'Personalizza la email d\'informazione';
 $lang['UAM_Confirm_Mail'] = 'Conferma della registrazione:';
 $lang['UAM_ConfirmMail_Text'] = 'Personalizza la email di conferma:';
@@ -122,18 +122,18 @@
 $lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Personalizzare il messaggio di promemoria <b><u>senza</u></b> rigenerazione di una nuova chiave di convalida';
 
-$lang['UAM_GhostTracker'] = 'Gestione dei visitatori fantasma (GhostTracker)';
+$lang['UAM_GhostTracker'] = 'Gestione dei visitatori ghost (GhostTracker)';
 $lang['UAM_GhostTracker_true'] = ' Attivare. Durata massima tra due visite in giorni: ';
-$lang['UAM_GhostTracker_ReminderText'] = 'Testo di reminder di Ghost Tracker personalizzato';
+$lang['UAM_GhostTracker_ReminderText'] = 'Personalizzare il messaggio di promemoria del Ghost Tracker';
 
 /* Ghost Tracker Tab */
 $lang['UAM_SubTitle4'] = 'Ghost Tracker';
 $lang['UAM_GT_Init'] = 'Inizializza Ghost Tracker';
-$lang['UAM_GhostTracker_Title'] = 'Gestione dei visitatori fantasma';
-$lang['UAM_GhostTracker_Init'] = 'Se si attiva questa funzione per la prima volta o se viene riattivata dopo un lungo periodo durante il quale dei nuovi visitatori si sono iscritti, è necessario inizializzare o azzerare il Tracker Ghost. Questa azione è da effettuarsi solo dopo l\'attivazione o la riattivazione dell\'opzione; Cliccare dunque <u>una sola volta</u> sul pulsante di reset sottostante';
+$lang['UAM_GhostTracker_Title'] = 'Gestione dei visitatori ghost';
+$lang['UAM_GhostTracker_Init'] = 'Se si attiva questa funzione per la prima volta o se viene riattivata dopo un lungo periodo durante il quale dei nuovi visitatori si sono iscritti, è necessario inizializzare o azzerare il Ghost Tracker. Questa azione è da effettuarsi solo dopo l\'attivazione o la riattivazione dell\'opzione; Cliccare dunque <u>una sola volta</u> sul pulsante di reset sottostante.';
 /* Mailing */
 $lang['UAM_Add of %s'] = 'Profilo creato per %s';
 $lang['UAM_Update of %s'] = 'Profilo %s aggiornato';
 /* Mailing */
-$lang['UAM_Ghost_reminder_of_%s'] = '%s, questa è un\'email di remind';
+$lang['UAM_Ghost_reminder_of_%s'] = '%s, questa è un\'email di promemoria';
 $lang['UAM_Reminder_with_key_of_%s'] = '%s, la tua chiave di conferma è stata rinnovata';
 $lang['UAM_Reminder_without_key_of_%s'] = '%s, la tua chiave di conferma sta per scadere';
@@ -192,5 +192,5 @@
 $lang['UAM_USRAuto'] = 'Gestione automatica degli utenti non confermati';
 $lang['UAM_USRAutoDel'] = 'Messaggio personalizzato sugli account eliminati';
-$lang['UAM_USRAutoMail'] = 'Email reminder automatico';
+$lang['UAM_USRAutoMail'] = 'Promemoria e-mail automatizzata';
 $lang['UAM_Disable'] = 'Disabilita (predefinito)';
 $lang['UAM_Enable'] = 'Abilita';
@@ -198,6 +198,6 @@
 $lang['UAM_Tips1_txt'] = '          <ul>
             <li>
-            Obiettivo : Informare il visitatore che la sua iscrizione è in attesa di convalida visualizzando un messagio in un blocco personale sulla homepage della galleria finché l\'iscrizione non viene convalidata.<br><br>
-            <b>Nota : Di default, l\'Utente "Guest" vede solo gli album pubblici, senza nessun messaggio d\'informazione.</b>
+            Obiettivo : Informare il visitatore che la sua iscrizione è in attesa di convalida visualizzando un messaggio in un blocco personale sulla homepage della galleria finché l\'iscrizione non viene convalidata.<br><br>
+            <b>Richiamo: Nel funzionamento standard, il "Guest" vede soltanto le categorie pubbliche, senza messaggio di informazione.</b>
             </li><br><br>
             <li>
@@ -240,7 +240,7 @@
             </li><br><br>
             <li>
-Prerequisiti :<br>
-- Una galleria con tutte o alcuni album privati, visibili solo agli utenti iscritti<br>
-- Almeno 2 gruppi d\'utenti Piwigo seguenti : "Attesa", senza alcuna autorizzazione sugli album privati, e "Convalidati" con tutte le autorizzazioni per gli album privati<br>
+Prerequisiti:<br>
+- Una galleria con tutti o alcuni album privati, visibili solo agli utenti iscritti<br>
+- Almeno 2 gruppi d\'utenti Piwigo seguenti: "Attesa", senza alcuna autorizzazione sugli album privati, e "Convalidati" con tutte le autorizzazioni per gli album privati<br>
 - Il plugin UAM<br>
 - Il plugin Additional Pages per l\'aggiunta e la gestione di una pagina aggiuntiva che rimpiazza la pagina indice di default della galleria<br>
@@ -274,5 +274,5 @@
             </li>
           </ul>';
-$lang['UAM_No_Ghosts'] = 'Nessun visitatore fantasma al momento';
+$lang['UAM_No_Ghosts'] = 'Nessun visitatore ghost al momento';
 $lang['UAM_No_Userlist'] = 'Nessun visitatore al momento';
 $lang['UAM_No_Usermanager'] = 'Nessun utente non verificato da visualizzare al momento';
@@ -293,5 +293,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.4
-$lang['UAM_HidePassw'] = 'Password in chiaro nella mail d\'informazione';
+$lang['UAM_HidePassw'] = 'Password in chiaro nella email d\'informazione';
 // --------- End: New or revised $lang ---- from version 2.20.4
 
@@ -329,9 +329,4 @@
 
 Per completare la procedura e poter vedere le immagini, conferma la tua registrazione cliccando nel link contenuto in questo messaggio.';
-L\'amministratore della galleria [mygallery] - [myurl]
-Alla ricezione di questo messaggio e non ricevendo altre visite entro [days] giorni, saremo obbligati a cancellare l\'account.
-
-Distinti saluti,
-l\'amministratore della galleria [mygallery] - [myurl]';
 $lang['UAM_Default_InfoMail_Txt'] = 'Ciao [username]!
 
@@ -347,5 +342,5 @@
 $lang['UAM_MailExclusion_No'] = 'Esclusione domini mail non disponibile in quanto le email non sono obbligatorie per la registrazione';
 $lang['UAM_MiscOptions'] = 'Altre opzioni varie';
-$lang['UAM_NewFeature'] = 'Nuove funzionalità!';
+$lang['UAM_NewFeature'] = 'Nuove funzionalità !';
 $lang['UAM_No_Backup_File'] = 'Nessun file di backup disponibile!';
 $lang['UAM_No_Valid_Level'] = 'Livello privacy per gli utenti che non hanno confermato la loro iscrizione <br>';
@@ -367,5 +362,5 @@
 $lang['UAM_Tracking confirmations'] = 'Monitora conferme';
 $lang['UAM_Tracking registered users'] = 'Monitora utenti registrati';
-$lang['UAM_Valid_Level'] = 'Livello privacy per gli utenti che hanno confermato la loro iscrizione <br>';
+$lang['UAM_Valid_Level'] = 'Livello privacy per gli utenti che hanno confermato la loro registrazione<br>';
 $lang['UAM_Webmaster cannot be pwdreset'] = 'Il rinnovo della password non può essere impostato per l\'account webmaster!';
 $lang['UAM_You cannot pwdreset your account'] = 'Il rinnovo della password non può essere impostato per il tuo stesso account!';
@@ -391,3 +386,14 @@
 $lang['UAM_Change'] = 'Cambia il Gruppo/Stato/Livello di Privacy degli utenti che sono stati confermati.';
 $lang['UAM_Customize_messagesandmails'] = 'Personalizza i messaggi e le email';
+$lang['UAM_Default_GhstReminder_Txt'] = 'Ciao [username].
+
+Questo è un promemoria, perché molto tempo è passato dalla tua ultima visita sulla nostra galleria [mygallery]. Se non si desidera più utilizzare il tuo account di accesso, fatecelo sapere rispondendo a questa email. Il tuo account verrà eliminato.
+
+Alla ricezione di questo messaggio e nessuna nuova visita entro [days] giorni, saremmo obbligati a cancellare automaticamente il tuo account.
+
+Migliori saluti
+
+L\'amministratore della galleria [mygallery]-[myurl]';
+$lang['UAM_Default_GhstDemotion_Txt'] = 'Mi dispiace [username], il tuo account è stato deprecato a causa di un troppo lungo tempo passato dalla tua ultima visita a [mygallery]. Per favore, utilizzare il seguente link per confermare il tuo account:';
+$lang['UAM_Default_GhstDeletion_Txt'] = 'Mi dispiace [username], il tuo account è stato eliminato a causa di un troppo lungo tempo passato dalla tua ultima visita a [mygallery]. Si prega di registrarsi nuovamente.';
 ?>
Index: /extensions/UserAdvManager/branches/2.50/language/tr_TR/description.txt
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/tr_TR/description.txt	(revision 21294)
+++ /extensions/UserAdvManager/branches/2.50/language/tr_TR/description.txt	(revision 21294)
@@ -0,0 +1,1 @@
+Kullanıcı yönetimi olanaklarını güçlendirir
Index: /extensions/UserAdvManager/branches/2.50/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/tr_TR/plugin.lang.php	(revision 21293)
+++ /extensions/UserAdvManager/branches/2.50/language/tr_TR/plugin.lang.php	(revision 21294)
@@ -136,3 +136,14 @@
 $lang['UAM_%d_Mail_With_Key'] = 'yenileme anahtarı içeren %d mesaj gönderildi';
 $lang['UAM_Admins cannot be pwdreset'] = 'Yönetici hesapları için şifre yenilemesi ayarlanamaz!';
+$lang['UAM_Err_audit_username_char'] = '<b>Bu hesap bir veya daha fazla yasaklı karakter kullanıyor:</b>';
+$lang['UAM_Err_audit_email_forbidden'] = '<b>Bu hesap yasaklı bir e-posta sağlayıcısı kullanıyor:</b>';
+$lang['UAM_GT_Init'] = 'Hayalet Takipçisi Başlatılıyor';
+$lang['UAM_GT_Reset'] = 'Hayalet Takipçisini Sıfırla';
+$lang['UAM_GhostTracker_true'] = 'Etkinleştir. İki ziyaret arasında azami süre: ';
+$lang['UAM_Guest cannot be pwdreset'] = 'Misafir hesabı için şifre yenileme ayarlanamaz!';
+$lang['UAM_HidePassw'] = 'Bilgi e-postasında açık yazı şeklinde şifre';
+$lang['UAM_GhostTracker_ReminderText'] = 'Hayalet Takipçisi hatırlatma mesajının özelleştirilmesi';
+$lang['UAM_GhostTracker_Init_OK'] = 'Hayalet Takipçisi sıfırlandı!';
+$lang['UAM_Generic cannot be pwdreset'] = 'Jenerik hesaplar için şifre yenileme ayarlanamaz!';
+$lang['UAM_GhostTracker'] = 'Hayalet ziyaretçilerin yönetimi (Hayalet Takipçisi)';
 ?>
